import Vue from 'vue';
import Router from 'vue-router';
import Dashboard from './views/Dashboard.vue';
import TestIntro from "@/components/TestIntro.vue";

Vue.use(Router);

export default new Router({
    mode: 'history',
    base: process.env.BASE_URL,
    routes: [
        {
            path: '/',
            name: 'Main',
            component: TestIntro
        },
        // {
        //     path: '/about',
        //     name: 'about',
        //     // route level code-splitting
        //     // this generates a separate chunk (about.[hash].js) for this route
        //     // which is lazy-loaded when the route is visited.
        //     component: () => import(/* webpackChunkName: "about" */ './views/About.vue')
        // },
        // {
        //     path: '/organizations',
        //     name: 'organizations',
        //
        //     component: () => import(/* webpackChunkName: "organizations" */ './views/Organizations.vue')
        // },
        // {
        //     path: '/organization/:orgId/:tab',
        //     name: 'Organization',
        //
        //     component: () => import(/* webpackChunkName: "organizations" */ './views/Organization.vue')
        // },
        // {
        //     path: '/users/:appId',
        //     name: 'Users',
        //
        //     component: () => import(/* webpackChunkName: "organizations" */ './views/Users.vue')
        // },
        // {
        //     path: '/access/:appId',
        //     name: 'Access',
        //
        //     component: () => import(/* webpackChunkName: "organizations" */ './views/Access.vue')
        // },
        // {
        //     path: '/bandit/:appId',
        //     name: 'Bandit',
        //
        //     component: () => import(/* webpackChunkName: "organizations" */ './views/Bandit.vue')
        // },
        // {
        //     path: '/switches/:appId',
        //     name: 'Switches',
        //
        //     component: () => import(/* webpackChunkName: "organizations" */ './views/Switches.vue')
        // },
        // {
        //     path: '/dash/:appId/',
        //     name: 'Dashboard',
        //     component: Dashboard,
        // },
        // {
        //     path: '/createOrg',
        //     name: 'organization creation',
        //
        //     component: () => import(/* webpackChunkName: "organizations" */ './views/CreateOrganization.vue')
        // },
    ]
});
